package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-05
 */
public class MaintainRecord extends Model<MaintainRecord> {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * goods外键
     */
    @TableField("goods_id")
    private Integer goodsId;

    /**
     * goods_no外键
     */
    @TableField("goods_no_id")
    private Integer goodsNoId;

    /**
     * 型号
     */
    @TableField("model_no")
    private String modelNo;

    /**
     * 维护人姓名
     */
    @TableField("operator")
    private String operator;

    /**
     * 维护人联系方式
     */
    @TableField("operator_phone")
    private String operatorPhone;

    /**
     * 维护公司名字
     */
    @TableField("company")
    private String company;

    /**
     * 维护公司联系方式
     */
    @TableField("company_phone")
    private String companyPhone;

    /**
     * 维护日期
     */
    @TableField("indate")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime indate;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getGoodsNoId() {
        return goodsNoId;
    }

    public void setGoodsNoId(Integer goodsNoId) {
        this.goodsNoId = goodsNoId;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getOperatorPhone() {
        return operatorPhone;
    }

    public void setOperatorPhone(String operatorPhone) {
        this.operatorPhone = operatorPhone;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getCompanyPhone() {
        return companyPhone;
    }

    public void setCompanyPhone(String companyPhone) {
        this.companyPhone = companyPhone;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "MaintainRecord{" +
        "id=" + id +
        ", goodsId=" + goodsId +
        ", goodsNoId=" + goodsNoId +
        ", modelNo=" + modelNo +
        ", operator=" + operator +
        ", operatorPhone=" + operatorPhone +
        ", company=" + company +
        ", companyPhone=" + companyPhone +
        ", indate=" + indate +
        "}";
    }
}
